import { expect, expectAsync, tap } from '@push.rocks/tapbundle';
import * as smartdeno from '../ts/index.js'

let testSmartdeno: smartdeno.SmartDeno;

tap.test('should create a valid smartdeno instance', async () => {
  testSmartdeno = new smartdeno.SmartDeno();
});

tap.test('should download deno', async () => {
  await testSmartdeno.start({
    forceLocalDeno: true
  });
})

tap.test('should execute a script', async () => {
  await testSmartdeno.executeScript(`console.log("A script from deno!")`);
})

tap.start()
